Subject: Re: bug#64880: Tramp Failed To connect with error "too long for Unix domain socket"

From: Michael Albinus <[email-masked]>
Date: Thu, 27 Jul 2023 09:43:24 +0200

Adithya Raman via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

Hi Adithya,

> After calling 'emacs -Q', and attempting to open a remote file using
> 'tramp' returns an error:
> '
> 14:57:23.874236 tramp-process-actions (1) # File error: Tramp failed
> to connect.  If this happens repeatedly, try
>     ‘M-x tramp-cleanup-this-connection’
> unix_listener: path
> "/var/folders/2_/vd5b18917qqgs6zgs8s6w1h80000gn/T/tramp.41ba1ef501273d38f2dfe01a9fec13c3f3810be6.iGYtFThWhG9Yvon8"
> too long for Unix domain socket
> 14:57:29.281233 tramp-process-actions (3) # Waiting for prompts from
> remote shell...failed
> 14:57:29.282797 tramp-maybe-open-connection (3) # Opening connection
> nil for uc using ssh...failed
> '
>
> I am running emacs version 30.0.50 and tramp version 2.7.0-pre on a
> macOS Ventura 13.4.1
>
> I don't face this error when I attempt to use tramp on my secondary
> device which runs a Ubuntu20.04. So I believe this might an issue that
> is unique to macOS.
>
> I found a similar bug in
> https://lists.gnu.org/archive/html/bug-gnu-emacs/2015-02/msg00394.html
> but details on how it was resolved were a bit confusing.

Well, this is bug#19702, finally. I forgot about this problem on macOS
when I made a recent change. Fixed on the master branch (plus a comment
in order to remember next time :-)

Could you, pls, check?

> Regards,
> - Adithya

Best regards, Michael.